%define upstream_name    Module-Install-VersionCheck
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Show Author the Current Versions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Install) >= 1.100.0
BuildArch:  noarch

%description
This module will report the current Module Version, Changes Version, and
GitHub tag (if appropriate), so the author can easily see if the versions
need to be updated when preparing a release.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.210.0-8.mga8
+ Revision: 1495625
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.210.0-7.mga7
+ Revision: 1269436
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.210.0-6.mga6
+ Revision: 1030131
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.210.0-5.mga6
+ Revision: 948890
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.210.0-4.mga5
+ Revision: 788538
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-3.mga5
+ Revision: 747118
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-2.mga5
+ Revision: 685453
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.210.0-1.mga5
+ Revision: 664595
- update to 0.21

* Sat Aug 16 2014 sander85 <sander85> 0.200.0-1.mga5
+ Revision: 664297
- update to 0.20

* Fri Aug 15 2014 sander85 <sander85> 0.180.0-1.mga5
+ Revision: 662727
- update to 0.18

* Fri Oct 18 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 512985
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 369908
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 17 2011 shlomif <shlomif> 0.160.0-1.mga2
+ Revision: 183037
- imported package perl-Module-Install-VersionCheck


* Sat Dec 17 2011 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
